package org.yaoqiang.collaboration.dialog;

import org.yaoqiang.dialog.PanelContainer;


/**
 * CollaborationPanelContainer
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CollaborationPanelContainer extends PanelContainer {

	private static final long serialVersionUID = 1L;

	public CollaborationPanelContainer(CollaborationDialog parentDialog) {
		super(parentDialog);
	}

	public void init() {
		panelFactory = new CollaborationPanelFactory(this);
	}

	public CollaborationDialog getParentDialog() {
		return (CollaborationDialog) parentDialog;
	}

	public CollaborationPanelFactory getPanelFactory() {
		return (CollaborationPanelFactory) panelFactory;
	}

}
